      include 'ase_frdm_eos_module.f'

      program example

      use ase_frdm_eos_module

      implicit none

      integer l

      call eos_readin

      do l=1,entries
        write(*,'(i3,e14.6)')l,eos(1,0,1,l)
      end do
      write(*,*)'t: ',t(1)
      write(*,*)'ye: ',y(0)
      write(*,*)'nb: ',nb(1)
      write(*,*)

      do l=1,entries
        write(*,'(i3,e14.6)')l,eos(t_entries,y_entries,nb_entries,l)
      end do
      write(*,*)'t: ',t(t_entries)
      write(*,*)'ye: ',y(y_entries)
      write(*,*)'nb: ',nb(nb_entries)
      write(*,*)
      
      end program example